Bug 151792 - lang/gcc44: version 4.4.6.20101026 fails with "Error: Invalid character in name at (1)" when building Fortran on AMD64
Summary: lang/gcc44: version 4.4.6.20101026 fails with "Error: Invalid character in na...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Gerald Pfeifer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-28 07:30 UTC by Andrei Lavreniyuk
Modified: 2011-01-02 20:05 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Lavreniyuk 2010-10-28 07:30:09 UTC
        then mv -f ".deps/in_unpack_generic.Tpo" ".deps/in_unpack_generic.Plo"; else rm -f ".deps/in_unpack_generic.Tpo"; exit 1; fi
libtool: compile:  /usr/ports/lang/gcc44/work/build/./gcc/xgcc -B/usr/ports/lang/gcc44/work/build/./gcc/ -B/usr/local/x86_64-portbld-freebsd8.1/bin/ -B/usr/local/x86_64-portbld-freebsd8.1/lib/ -isystem /usr/local/x86_64-portbld-freebsd8.1/include -isystem /usr/local/x86_64-portbld-freebsd8.1/sys-include -DHAVE_CONFIG_H -I. -I../.././../gcc-4.4-20101026/libgfortran -I. -iquote../.././../gcc-4.4-20101026/libgfortran/io -I../.././../gcc-4.4-20101026/libgfortran/../gcc -I../.././../gcc-4.4-20101026/libgfortran/../gcc/config -I../.././gcc -D_GNU_SOURCE -std=gnu99 -Wall -Wstrict-prototypes -Wmissing-prototypes -Wold-style-definition -Wextra -Wwrite-strings -fcx-fortran-rules -g -O2 -pipe -O2 -D_FORTIFY_SOURCE=2 -pipe -march=native -mtune=native -fno-delete-null-pointer-checks -fstack-protector -fno-strict-aliasing -Wformat -Wformat-security -s -I/usr/local/include -MT in_unpack_generic.lo -MD -MP -MF .deps/in_unpack_generic.Tpo -c ../.././../gcc-4.4-20101026/libgfortran/runtime/in_
 unpack_generic.c  -fPIC -DPIC -o .libs/in_unpack_generic.o
libtool: compile:  /usr/ports/lang/gcc44/work/build/./gcc/xgcc -B/usr/ports/lang/gcc44/work/build/./gcc/ -B/usr/local/x86_64-portbld-freebsd8.1/bin/ -B/usr/local/x86_64-portbld-freebsd8.1/lib/ -isystem /usr/local/x86_64-portbld-freebsd8.1/include -isystem /usr/local/x86_64-portbld-freebsd8.1/sys-include -DHAVE_CONFIG_H -I. -I../.././../gcc-4.4-20101026/libgfortran -I. -iquote../.././../gcc-4.4-20101026/libgfortran/io -I../.././../gcc-4.4-20101026/libgfortran/../gcc -I../.././../gcc-4.4-20101026/libgfortran/../gcc/config -I../.././gcc -D_GNU_SOURCE -std=gnu99 -Wall -Wstrict-prototypes -Wmissing-prototypes -Wold-style-definition -Wextra -Wwrite-strings -fcx-fortran-rules -g -O2 -pipe -O2 -D_FORTIFY_SOURCE=2 -pipe -march=native -mtune=native -fno-delete-null-pointer-checks -fstack-protector -fno-strict-aliasing -Wformat -Wformat-security -s -I/usr/local/include -MT unlink.lo -MD -MP -MF .deps/unlink.Tpo -c ../.././../gcc-4.4-20101026/libgfortran/intrinsics/unlink.c -o unlink.o >
 /dev/null 2>&1
libtool: compile:  /usr/ports/lang/gcc44/work/build/./gcc/xgcc -B/usr/ports/lang/gcc44/work/build/./gcc/ -B/usr/local/x86_64-portbld-freebsd8.1/bin/ -B/usr/local/x86_64-portbld-freebsd8.1/lib/ -isystem /usr/local/x86_64-portbld-freebsd8.1/include -isystem /usr/local/x86_64-portbld-freebsd8.1/sys-include -DHAVE_CONFIG_H -I. -I../.././../gcc-4.4-20101026/libgfortran -I. -iquote../.././../gcc-4.4-20101026/libgfortran/io -I../.././../gcc-4.4-20101026/libgfortran/../gcc -I../.././../gcc-4.4-20101026/libgfortran/../gcc/config -I../.././gcc -D_GNU_SOURCE -std=gnu99 -Wall -Wstrict-prototypes -Wmissing-prototypes -Wold-style-definition -Wextra -Wwrite-strings -fcx-fortran-rules -g -O2 -pipe -O2 -D_FORTIFY_SOURCE=2 -pipe -march=native -mtune=native -fno-delete-null-pointer-checks -fstack-protector -fno-strict-aliasing -Wformat -Wformat-security -s -I/usr/local/include -MT in_pack_generic.lo -MD -MP -MF .deps/in_pack_generic.Tpo -c ../.././../gcc-4.4-20101026/libgfortran/runtime/in_pack
 _generic.c -o in_pack_generic.o >/dev/null 2>&1
/bin/sh ./libtool --tag=FC --mode=compile /usr/ports/lang/gcc44/work/build/./gcc/gfortran -B/usr/ports/lang/gcc44/work/build/./gcc/ -B/usr/local/x86_64-portbld-freebsd8.1/bin/ -B/usr/local/x86_64-portbld-freebsd8.1/lib/ -isystem /usr/local/x86_64-portbld-freebsd8.1/include -isystem /usr/local/x86_64-portbld-freebsd8.1/sys-include -DHAVE_CONFIG_H -I. -I../.././../gcc-4.4-20101026/libgfortran -I.  -iquote../.././../gcc-4.4-20101026/libgfortran/io -I../.././../gcc-4.4-20101026/libgfortran/../gcc -I../.././../gcc-4.4-20101026/libgfortran/../gcc/config -I../.././gcc -D_GNU_SOURCE  -I . -Wall -Werror -fimplicit-none -fno-repack-arrays -fno-underscoring -fallow-leading-underscore -g -c -o _abs_c4.lo `test -f '../.././../gcc-4.4-20101026/libgfortran/generated/_abs_c4.F90' || echo '../.././../gcc-4.4-20101026/libgfortran/'`../.././../gcc-4.4-20101026/libgfortran/generated/_abs_c4.F90
libtool: compile:  /usr/ports/lang/gcc44/work/build/./gcc/xgcc -B/usr/ports/lang/gcc44/work/build/./gcc/ -B/usr/local/x86_64-portbld-freebsd8.1/bin/ -B/usr/local/x86_64-portbld-freebsd8.1/lib/ -isystem /usr/local/x86_64-portbld-freebsd8.1/include -isystem /usr/local/x86_64-portbld-freebsd8.1/sys-include -DHAVE_CONFIG_H -I. -I../.././../gcc-4.4-20101026/libgfortran -I. -iquote../.././../gcc-4.4-20101026/libgfortran/io -I../.././../gcc-4.4-20101026/libgfortran/../gcc -I../.././../gcc-4.4-20101026/libgfortran/../gcc/config -I../.././gcc -D_GNU_SOURCE -std=gnu99 -Wall -Wstrict-prototypes -Wmissing-prototypes -Wold-style-definition -Wextra -Wwrite-strings -fcx-fortran-rules -g -O2 -pipe -O2 -D_FORTIFY_SOURCE=2 -pipe -march=native -mtune=native -fno-delete-null-pointer-checks -fstack-protector -fno-strict-aliasing -Wformat -Wformat-security -s -I/usr/local/include -MT unpack_generic.lo -MD -MP -MF .deps/unpack_generic.Tpo -c ../.././../gcc-4.4-20101026/libgfortran/intrinsics/unpack
 _generic.c -o unpack_generic.o >/dev/null 2>&1
libtool: compile:  /usr/ports/lang/gcc44/work/build/./gcc/gfortran -B/usr/ports/lang/gcc44/work/build/./gcc/ -B/usr/local/x86_64-portbld-freebsd8.1/bin/ -B/usr/local/x86_64-portbld-freebsd8.1/lib/ -isystem /usr/local/x86_64-portbld-freebsd8.1/include -isystem /usr/local/x86_64-portbld-freebsd8.1/sys-include -DHAVE_CONFIG_H -I. -I../.././../gcc-4.4-20101026/libgfortran -I. -iquote../.././../gcc-4.4-20101026/libgfortran/io -I../.././../gcc-4.4-20101026/libgfortran/../gcc -I../.././../gcc-4.4-20101026/libgfortran/../gcc/config -I../.././gcc -D_GNU_SOURCE -I . -Wall -Werror -fimplicit-none -fno-repack-arrays -fno-underscoring -fallow-leading-underscore -g -c ../.././../gcc-4.4-20101026/libgfortran/generated/_abs_c4.F90  -o .libs/_abs_c4.o
libtool: compile:  /usr/ports/lang/gcc44/work/build/./gcc/xgcc -B/usr/ports/lang/gcc44/work/build/./gcc/ -B/usr/local/x86_64-portbld-freebsd8.1/bin/ -B/usr/local/x86_64-portbld-freebsd8.1/lib/ -isystem /usr/local/x86_64-portbld-freebsd8.1/include -isystem /usr/local/x86_64-portbld-freebsd8.1/sys-include -DHAVE_CONFIG_H -I. -I../.././../gcc-4.4-20101026/libgfortran -I. -iquote../.././../gcc-4.4-20101026/libgfortran/io -I../.././../gcc-4.4-20101026/libgfortran/../gcc -I../.././../gcc-4.4-20101026/libgfortran/../gcc/config -I../.././gcc -D_GNU_SOURCE -std=gnu99 -Wall -Wstrict-prototypes -Wmissing-prototypes -Wold-style-definition -Wextra -Wwrite-strings -fcx-fortran-rules -g -O2 -pipe -O2 -D_FORTIFY_SOURCE=2 -pipe -march=native -mtune=native -fno-delete-null-pointer-checks -fstack-protector -fno-strict-aliasing -Wformat -Wformat-security -s -I/usr/local/include -MT in_unpack_generic.lo -MD -MP -MF .deps/in_unpack_generic.Tpo -c ../.././../gcc-4.4-20101026/libgfortran/runtime/in_
 unpack_generic.c -o in_unpack_generic.o >/dev/null 2>&1
./.././../gcc-4.4-20101026/libgfortran/generated/_abs_c4.F90:1.1:

\xD4\x8A\x01\x08\x04\x1E\xD7\xD9\x8A\x01\x08\x05\xA7\xEE\x7F\xF2
 1
Error: Invalid character in name at (1)
./.././../gcc-4.4-20101026/libgfortran/generated/_abs_c4.F90:1.1:

\xD4\x8A\x01\x08\x04\x1E\xD7\xD9\x8A\x01\x08\x05\xA7\xEE\x7F\xF2
 1
Error: Invalid character in name at (1)
./.././../gcc-4.4-20101026/libgfortran/generated/_abs_c4.F90:1.1:

\xD4\x8A\x01\x08\x04\x1E\xD7\xD9\x8A\x01\x08\x05\xA7\xEE\x7F\xF2
 1
Error: Invalid character in name at (1)
./.././../gcc-4.4-20101026/libgfortran/generated/_abs_c4.F90:1.1:

\xD4\x8A\x01\x08\x04\x1E\xD7\xD9\x8A\x01\x08\x05\xA7\xEE\x7F\xF2
 1
Error: Invalid character in name at (1)
./.././../gcc-4.4-20101026/libgfortran/generated/_abs_c4.F90:1.1:

\xD4\x8A\x01\x08\x04\x1E\xD7\xD9\x8A\x01\x08\x05\xA7\xEE\x7F\xF2
 1
Error: Invalid character in name at (1)
./.././../gcc-4.4-20101026/libgfortran/generated/_abs_c4.F90:1.1:

\xD4\x8A\x01\x08\x04\x1E\xD7\xD9\x8A\x01\x08\x05\xA7\xEE\x7F\xF2
 1
Error: Invalid character in name at (1)
./.././../gcc-4.4-20101026/libgfortran/generated/_abs_c4.F90:1.1:

\xD4\x8A\x01\x08\x04\x1E\xD7\xD9\x8A\x01\x08\x05\xA7\xEE\x7F\xF2
 1
Error: Invalid character in name at (1)
./.././../gcc-4.4-20101026/libgfortran/generated/_abs_c4.F90:1.1:

\xD4\x8A\x01\x08\x04\x1E\xD7\xD9\x8A\x01\x08\x05\xA7\xEE\x7F\xF2
 1
Error: Invalid character in name at (1)
./.././../gcc-4.4-20101026/libgfortran/generated/_abs_c4.F90:1.1:

\xD4\x8A\x01\x08\x04\x1E\xD7\xD9\x8A\x01\x08\x05\xA7\xEE\x7F\xF2
 1
Error: Invalid character in name at (1)
./.././../gcc-4.4-20101026/libgfortran/generated/_abs_c4.F90:1.1:

\xD4\x8A\x01\x08\x04\x1E\xD7\xD9\x8A\x01\x08\x05\xA7\xEE\x7F\xF2
 1
Error: Invalid character in name at (1)
./.././../gcc-4.4-20101026/libgfortran/generated/_abs_c4.F90:1.1:

\xD4\x8A\x01\x08\x04\x1E\xD7\xD9\x8A\x01\x08\x05\xA7\xEE\x7F\xF2
 1
Error: Invalid character in name at (1)
./.././../gcc-4.4-20101026/libgfortran/generated/_abs_c4.F90:1.1:

\xD4\x8A\x01\x08\x04\x1E\xD7\xD9\x8A\x01\x08\x05\xA7\xEE\x7F\xF2
 1
Error: Invalid character in name at (1)
./.././../gcc-4.4-20101026/libgfortran/generated/_abs_c4.F90:1.1:

\xD4\x8A\x01\x08\x04\x1E\xD7\xD9\x8A\x01\x08\x05\xA7\xEE\x7F\xF2
 1
Error: Invalid character in name at (1)
./.././../gcc-4.4-20101026/libgfortran/generated/_abs_c4.F90:1.1:

\xD4\x8A\x01\x08\x04\x1E\xD7\xD9\x8A\x01\x08\x05\xA7\xEE\x7F\xF2
 1
Error: Invalid character in name at (1)
./.././../gcc-4.4-20101026/libgfortran/generated/_abs_c4.F90:1.1:

\xD4\x8A\x01\x08\x04\x1E\xD7\xD9\x8A\x01\x08\x05\xA7\xEE\x7F\xF2
 1
Error: Invalid character in name at (1)
./.././../gcc-4.4-20101026/libgfortran/generated/_abs_c4.F90:1.1:

\xD4\x8A\x01\x08\x04\x1E\xD7\xD9\x8A\x01\x08\x05\xA7\xEE\x7F\xF2
 1
Error: Invalid character in name at (1)
./.././../gcc-4.4-20101026/libgfortran/generated/_abs_c4.F90:1.1:

\xD4\x8A\x01\x08\x04\x1E\xD7\xD9\x8A\x01\x08\x05\xA7\xEE\x7F\xF2
 1
Error: Invalid character in name at (1)
./.././../gcc-4.4-20101026/libgfortran/generated/_abs_c4.F90:1.1:

\xD4\x8A\x01\x08\x04\x1E\xD7\xD9\x8A\x01\x08\x05\xA7\xEE\x7F\xF2
 1
Error: Invalid character in name at (1)
./.././../gcc-4.4-20101026/libgfortran/generated/_abs_c4.F90:1.1:

\xD4\x8A\x01\x08\x04\x1E\xD7\xD9\x8A\x01\x08\x05\xA7\xEE\x7F\xF2
 1
Error: Invalid character in name at (1)
./.././../gcc-4.4-20101026/libgfortran/generated/_abs_c4.F90:1.1:

\xD4\x8A\x01\x08\x04\x1E\xD7\xD9\x8A\x01\x08\x05\xA7\xEE\x7F\xF2
 1
Error: Invalid character in name at (1)
./.././../gcc-4.4-20101026/libgfortran/generated/_abs_c4.F90:1.1:

\xD4\x8A\x01\x08\x04\x1E\xD7\xD9\x8A\x01\x08\x05\xA7\xEE\x7F\xF2
 1
Error: Invalid character in name at (1)
./.././../gcc-4.4-20101026/libgfortran/generated/_abs_c4.F90:1.1:

\xD4\x8A\x01\x08\x04\x1E\xD7\xD9\x8A\x01\x08\x05\xA7\xEE\x7F\xF2
 1
Error: Invalid character in name at (1)
./.././../gcc-4.4-20101026/libgfortran/generated/_abs_c4.F90:1.1:

\xD4\x8A\x01\x08\x04\x1E\xD7\xD9\x8A\x01\x08\x05\xA7\xEE\x7F\xF2
 1
Error: Invalid character in name at (1)
./.././../gcc-4.4-20101026/libgfortran/generated/_abs_c4.F90:1.1:

\xD4\x8A\x01\x08\x04\x1E\xD7\xD9\x8A\x01\x08\x05\xA7\xEE\x7F\xF2
 1
Error: Invalid character in name at (1)
./.././../gcc-4.4-20101026/libgfortran/generated/_abs_c4.F90:1.1:

\xD4\x8A\x01\x08\x04\x1E\xD7\xD9\x8A\x01\x08\x05\xA7\xEE\x7F\xF2
 1
Error: Invalid character in name at (1)
Fatal Error: Error count reached limit of 25.
gmake[3]: *** [_abs_c4.lo] Ошибка 1
gmake[3]: *** Ожидание завершения заданий...
gmake[3]: Leaving directory `/usr/ports/lang/gcc44/work/build/x86_64-portbld-freebsd8.1/libgfortran'
gmake[2]: *** [all] Ошибка 2
gmake[2]: Leaving directory `/usr/ports/lang/gcc44/work/build/x86_64-portbld-freebsd8.1/libgfortran'
gmake[1]: *** [all-target-libgfortran] Ошибка 2
gmake[1]: Leaving directory `/usr/ports/lang/gcc44/work/build'
gmake: *** [bootstrap-lean] Ошибка 2
*** Error code 1

Stop in /usr/ports/lang/gcc44.
** Command failed [exit code 1]: /usr/bin/script -qa /var/tmp/portupgrade20101028-26769-7ke52m-0 env UPGRADE_TOOL=portupgrade UPGRADE_PORT=gcc-4.4.6.20101012 UPGRADE_PORT_VER=4.4.6.20101012 make
** Fix the problem and try again.
** Listing the failed packages (-:ignored / *:skipped / !:failed)
        ! lang/gcc44 (gcc-4.4.6.20101012)       (unknown build error)
Comment 1 Andrei Lavreniyuk 2010-10-28 08:26:55 UTC
Error of assembling on other host:

FreeBSD hp.technica-03.local 8.1-STABLE FreeBSD 8.1-STABLE #0: Wed Oct
27 13:21:12 EEST 2010
root@hp.technica-03.local:/usr/obj/usr/src/sys/HP  amd64



--------------------

gmake[4]: Leaving directory
`/usr/ports/lang/gcc44/work/build/x86_64-portbld-freebsd8.1/libstdc++-v3/te=
stsuite'
gmake[4]: Entering directory
`/usr/ports/lang/gcc44/work/build/x86_64-portbld-freebsd8.1/libstdc++-v3'
gmake "AR_FLAGS=3Drc" "CC_FOR_BUILD=3Dcc"
"CC_FOR_TARGET=3D/usr/ports/lang/gcc44/work/build/./gcc/xgcc
-B/usr/ports/lang/gcc44/work/build/./gcc/
-B/usr/local/x86_64-portbld-freebsd8.1/bin/
-B/usr/local/x86_64-portbld-freebsd8.1/lib/ -isystem
/usr/local/x86_64-portbld-freebsd8.1/include -isystem
/usr/local/x86_64-portbld-freebsd8.1/sys-include" "CFLAGS=3D-g -O2 -pipe
-O2 -D_FORTIFY_SOURCE=3D2 -pipe -march=3Dnative -mtune=3Dnative
-fstack-protector -fno-delete-null-pointer-checks -fno-strict-aliasing
-Wformat -Wformat-security -s -I/usr/local/include  " "CXXFLAGS=3D-g -O2
-pipe -O2 -D_FORTIFY_SOURCE=3D2 -pipe -march=3Dnative -mtune=3Dnative
-fstack-protector -fno-delete-null-pointer-checks -fno-strict-aliasing
-Wformat -Wformat-security -s -I/usr/local/include -fconserve-space  "
"CFLAGS_FOR_BUILD=3D-O2 -pipe -O2 -D_FORTIFY_SOURCE=3D2 -pipe
-march=3Dnative -mtune=3Dnative -fstack-protector
-fno-delete-null-pointer-checks -fno-strict-aliasing -Wformat
-Wformat-security -s -I/usr/local/include" "CFLAGS_FOR_TARGET=3D-g -O2
-pipe -O2 -D_FORTIFY_SOURCE=3D2 -pipe -march=3Dnative -mtune=3Dnative
-fstack-protector -fno-delete-null-pointer-checks -fno-strict-aliasing
-Wformat -Wformat-security -s -I/usr/local/include"
"INSTALL=3D/usr/bin/install -c -o root -g wheel" "INSTALL_DATA=3Dinstall
-o root -g wheel -m 444" "INSTALL_PROGRAM=3Dinstall  -s -o root -g wheel
-m 555" "INSTALL_SCRIPT=3Dinstall  -o root -g wheel -m 555" "LDFLAGS=3D"
"LIBCFLAGS=3D-g -O2 -pipe -O2 -D_FORTIFY_SOURCE=3D2 -pipe -march=3Dnative
-mtune=3Dnative -fstack-protector -fno-delete-null-pointer-checks
-fno-strict-aliasing -Wformat -Wformat-security -s
-I/usr/local/include  " "LIBCFLAGS_FOR_TARGET=3D-g -O2 -pipe -O2
-D_FORTIFY_SOURCE=3D2 -pipe -march=3Dnative -mtune=3Dnative
-fstack-protector -fno-delete-null-pointer-checks -fno-strict-aliasing
-Wformat -Wformat-security -s -I/usr/local/include" "MAKE=3Dgmake"
"MAKEINFO=3Dmakeinfo --no-split --split-size=3D5000000
--split-size=3D5000000 --split-size=3D5000000 --split-size=3D5000000"
"PICFLAG=3D" "PICFLAG_FOR_TARGET=3D" "SHELL=3D/bin/sh" "RUNTESTFLAGS=3D"
"exec_prefix=3D/usr/local" "infodir=3D/usr/local/info/gcc44"
"libdir=3D/usr/local/lib/gcc44" "includedir=3D/usr/local/include"
"prefix=3D/usr/local" "tooldir=3D/usr/local/x86_64-portbld-freebsd8.1"
"gxx_include_dir=3D/usr/local/lib/gcc44/include/c++/"
"AR=3D/usr/local/x86_64-portbld-freebsd8.1/bin/ar"
"AS=3D/usr/ports/lang/gcc44/work/build/./gcc/as"
"LD=3D/usr/ports/lang/gcc44/work/build/./gcc/collect-ld"
"RANLIB=3D/usr/local/x86_64-portbld-freebsd8.1/bin/ranlib"
"NM=3D/usr/ports/lang/gcc44/work/build/./gcc/nm" "NM_FOR_BUILD=3D"
"NM_FOR_TARGET=3D/usr/local/x86_64-portbld-freebsd8.1/bin/nm" "DESTDIR=3D"
"WERROR=3D" DO=3Dall multi-do # gmake
gmake[5]: Entering directory
`/usr/ports/lang/gcc44/work/build/x86_64-portbld-freebsd8.1/libstdc++-v3'
if [ -z "" ]; then \
          true; \
        else \
          rootpre=3D`${PWDCMD-pwd}`/; export rootpre; \
          srcrootpre=3D`cd ../.././../gcc-4.4-20101026/libstdc++-v3;
${PWDCMD-pwd}`/; export srcrootpre; \
          lib=3D`echo "${rootpre}" | sed -e 's,^.*/\([^/][^/]*\)/$,\1,'`; \
          compiler=3D"/usr/ports/lang/gcc44/work/build/./gcc/xgcc
-B/usr/ports/lang/gcc44/work/build/./gcc/
-B/usr/local/x86_64-portbld-freebsd8.1/bin/
-B/usr/local/x86_64-portbld-freebsd8.1/lib/ -isystem
/usr/local/x86_64-portbld-freebsd8.1/include -isystem
/usr/local/x86_64-portbld-freebsd8.1/sys-include"; \
          for i in `${compiler} --print-multi-lib 2>/dev/null`; do \
            dir=3D`echo $i | sed -e 's/;.*$//'`; \
            if [ "${dir}" =3D "." ]; then \
              true; \
            else \
              if [ -d ../${dir}/${lib} ]; then \
                flags=3D`echo $i | sed -e 's/^[^;]*;//' -e 's/@/ -/g'`; \
                if (cd ../${dir}/${lib}; gmake "AR_FLAGS=3Drc"
"CC_FOR_BUILD=3Dcc"
"CC_FOR_TARGET=3D/usr/ports/lang/gcc44/work/build/./gcc/xgcc
-B/usr/ports/lang/gcc44/work/build/./gcc/
-B/usr/local/x86_64-portbld-freebsd8.1/bin/
-B/usr/local/x86_64-portbld-freebsd8.1/lib/ -isystem
/usr/local/x86_64-portbld-freebsd8.1/include -isystem
/usr/local/x86_64-portbld-freebsd8.1/sys-include" "CFLAGS=3D-g -O2 -pipe
-O2 -D_FORTIFY_SOURCE=3D2 -pipe -march=3Dnative -mtune=3Dnative
-fstack-protector -fno-delete-null-pointer-checks -fno-strict-aliasing
-Wformat -Wformat-security -s -I/usr/local/include  " "CXXFLAGS=3D-g -O2
-pipe -O2 -D_FORTIFY_SOURCE=3D2 -pipe -march=3Dnative -mtune=3Dnative
-fstack-protector -fno-delete-null-pointer-checks -fno-strict-aliasing
-Wformat -Wformat-security -s -I/usr/local/include -fconserve-space  "
"CFLAGS_FOR_BUILD=3D-O2 -pipe -O2 -D_FORTIFY_SOURCE=3D2 -pipe
-march=3Dnative -mtune=3Dnative -fstack-protector
-fno-delete-null-pointer-checks -fno-strict-aliasing -Wformat
-Wformat-security -s -I/usr/local/include" "CFLAGS_FOR_TARGET=3D-g -O2
-pipe -O2 -D_FORTIFY_SOURCE=3D2 -pipe -march=3Dnative -mtune=3Dnative
-fstack-protector -fno-delete-null-pointer-checks -fno-strict-aliasing
-Wformat -Wformat-security -s -I/usr/local/include"
"INSTALL=3D/usr/bin/install -c -o root -g wheel" "INSTALL_DATA=3Dinstall
-o root -g wheel -m 444" "INSTALL_PROGRAM=3Dinstall  -s -o root -g wheel
-m 555" "INSTALL_SCRIPT=3Dinstall  -o root -g wheel -m 555" "LDFLAGS=3D"
"LIBCFLAGS=3D-g -O2 -pipe -O2 -D_FORTIFY_SOURCE=3D2 -pipe -march=3Dnative
-mtune=3Dnative -fstack-protector -fno-delete-null-pointer-checks
-fno-strict-aliasing -Wformat -Wformat-security -s
-I/usr/local/include  " "LIBCFLAGS_FOR_TARGET=3D-g -O2 -pipe -O2
-D_FORTIFY_SOURCE=3D2 -pipe -march=3Dnative -mtune=3Dnative
-fstack-protector -fno-delete-null-pointer-checks -fno-strict-aliasing
-Wformat -Wformat-security -s -I/usr/local/include" "MAKE=3Dgmake"
"MAKEINFO=3Dmakeinfo --no-split --split-size=3D5000000
--split-size=3D5000000 --split-size=3D5000000 --split-size=3D5000000
--split-size=3D5000000" "PICFLAG=3D" "PICFLAG_FOR_TARGET=3D" "SHELL=3D/bin/=
sh"
"RUNTESTFLAGS=3D" "exec_prefix=3D/usr/local"
"infodir=3D/usr/local/info/gcc44" "libdir=3D/usr/local/lib/gcc44"
"includedir=3D/usr/local/include" "prefix=3D/usr/local"
"tooldir=3D/usr/local/x86_64-portbld-freebsd8.1"
"gxx_include_dir=3D/usr/local/lib/gcc44/include/c++/"
"AR=3D/usr/local/x86_64-portbld-freebsd8.1/bin/ar"
"AS=3D/usr/ports/lang/gcc44/work/build/./gcc/as"
"LD=3D/usr/ports/lang/gcc44/work/build/./gcc/collect-ld"
"RANLIB=3D/usr/local/x86_64-portbld-freebsd8.1/bin/ranlib"
"NM=3D/usr/ports/lang/gcc44/work/build/./gcc/nm" "NM_FOR_BUILD=3D"
"NM_FOR_TARGET=3D/usr/local/x86_64-portbld-freebsd8.1/bin/nm" "DESTDIR=3D"
"WERROR=3D" \
                                CFLAGS=3D"-g -O2 -pipe -O2
-D_FORTIFY_SOURCE=3D2 -pipe -march=3Dnative -mtune=3Dnative
-fstack-protector -fno-delete-null-pointer-checks -fno-strict-aliasing
-Wformat -Wformat-security -s -I/usr/local/include   ${flags}" \
                                CCASFLAGS=3D" ${flags}" \
                                FCFLAGS=3D" ${flags}" \
                                FFLAGS=3D" ${flags}" \
                                ADAFLAGS=3D" ${flags}" \
                                prefix=3D"/usr/local" \
                                exec_prefix=3D"/usr/local" \
                                GCJFLAGS=3D" ${flags}" \
                                CXXFLAGS=3D"-g -O2 -pipe -O2
-D_FORTIFY_SOURCE=3D2 -pipe -march=3Dnative -mtune=3Dnative
-fstack-protector -fno-delete-null-pointer-checks -fno-strict-aliasing
-Wformat -Wformat-security -s -I/usr/local/include -fconserve-space
${flags}" \
                                LIBCFLAGS=3D"-g -O2 -pipe -O2
-D_FORTIFY_SOURCE=3D2 -pipe -march=3Dnative -mtune=3Dnative
-fstack-protector -fno-delete-null-pointer-checks -fno-strict-aliasing
-Wformat -Wformat-security -s -I/usr/local/include   ${flags}" \
                                LIBCXXFLAGS=3D"-g -O2 -pipe -O2
-D_FORTIFY_SOURCE=3D2 -pipe -march=3Dnative -mtune=3Dnative
-fstack-protector -fno-delete-null-pointer-checks -fno-strict-aliasing
-Wformat -Wformat-security -s -I/usr/local/include -fconserve-space
-fno-implicit-templates   ${flags}" \
                                LDFLAGS=3D" ${flags}" \
                                MULTIFLAGS=3D"${flags}" \
                                DESTDIR=3D"" \
                                INSTALL=3D"/usr/bin/install -c -o root -g w=
heel" \
                                INSTALL_DATA=3D"install  -o root -g
wheel -m 444" \
                                INSTALL_PROGRAM=3D"install  -s -o root
-g wheel -m 555" \
                                INSTALL_SCRIPT=3D"install  -o root -g
wheel -m 555" \
                                all); then \
                  true; \
                else \
                  exit 1; \
                fi; \
              else true; \
              fi; \
            fi; \
          done; \
        fi
gmake[5]: Leaving directory
`/usr/ports/lang/gcc44/work/build/x86_64-portbld-freebsd8.1/libstdc++-v3'
gmake[4]: Leaving directory
`/usr/ports/lang/gcc44/work/build/x86_64-portbld-freebsd8.1/libstdc++-v3'
gmake[3]: Leaving directory
`/usr/ports/lang/gcc44/work/build/x86_64-portbld-freebsd8.1/libstdc++-v3'
gmake[2]: Leaving directory
`/usr/ports/lang/gcc44/work/build/x86_64-portbld-freebsd8.1/libstdc++-v3'
gmake[1]: Leaving directory `/usr/ports/lang/gcc44/work/build'
gmake: *** [bootstrap-lean] =EF=DB=C9=C2=CB=C1 2
*** Error code 1

Stop in /usr/ports/lang/gcc44.
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2010-10-28 10:56:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gerald

Fix synopsis and assign.
Comment 3 Andriy Gapon freebsd_committer 2010-11-15 15:42:07 UTC
I can reproduce the issue too.
Please note that it doesn't seem to happen if I have GCC 4.4.X already installed
and use it as a bootstrap compiler (overriding CC, CXX, tec in make.conf).
But with base GCC it does happen.

-- 
Andriy Gapon
Comment 4 Andriy Gapon 2010-11-15 15:44:30 UTC
Another note - those odd lines are produced by work/build/gcc/f951 even when it's
invoked -E option and an input file with content that amounts to being empty.

-- 
Andriy Gapon
Comment 5 Andriy Gapon 2010-11-16 10:50:26 UTC
Hmm, the problem seems to be of a "tricky" kind.
AFAICS, different units of compilation see different definitions of 'cpp_reader'
type/struct.
I added debug prints to gcc/fortran/cpp.c and libcpp/traditional.c, in one case
sizeof(cpp_reader) is reported to be 1272 and in the case it's 1240.
So, cpp.c code most likely accesses wrong/different fields and that results in the
garbage in the output.

-- 
Andriy Gapon
Comment 6 Andriy Gapon 2010-11-16 11:27:35 UTC
Difference in the struct layout narrows down to sizeof(struct cset_converter),
which is 24 vs. 16.

Here is a snippet from libcpp/internal.h:
================================
#ifndef HAVE_ICONV_H
#undef HAVE_ICONV
#endif

#if HAVE_ICONV
#include <iconv.h>
#else
#define HAVE_ICONV 0
typedef int iconv_t;  /* dummy */
#endif

struct directive;               /* Deliberately incomplete.  */
struct pending_option;
struct op;
struct _cpp_strbuf;

typedef bool (*convert_f) (iconv_t, const unsigned char *, size_t,
                           struct _cpp_strbuf *);
struct cset_converter
{
  convert_f func;
  iconv_t cd;
  int width;
};
================================

Apparently the problem is down to definition/sizeof of iconv_t, which is
determined by HAVE_ICONV_H and HAVE_ICONV value in the corresponding config.h files.

In build/libcpp/config.h I see:
================================
/* Define if you have the iconv() function. */
#define HAVE_ICONV 1

/* Define to 1 if you have the <iconv.h> header file. */
#define HAVE_ICONV_H 1
================================

While in build/gcc/auto-host.h I see:
================================
/* Define if you have the iconv() function. */
#ifndef USED_FOR_TARGET
#define HAVE_ICONV 1
#endif


/* Define to 1 if you have the <iconv.h> header file. */
#ifndef USED_FOR_TARGET
/* #undef HAVE_ICONV_H */
#endif
================================

Which means that iconv_t would be typedef-ed to int in libcpp/internal.h for gcc
build.
Not sure where this difference comes from...

-- 
Andriy Gapon
Comment 7 Andriy Gapon 2010-11-16 11:47:13 UTC
Unwinding further.

build/gcc/config.log has this:
configure:9186: checking for iconv.h
configure:9199: cpp  conftest.c
conftest.c:49:19: error: iconv.h: No such file or directory
configure:9205: $? = 1
configure: failed program was:
| /* confdefs.h.  */
|
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #define DEFAULT_LINKER "/usr/local/bin/ld"
| #define HAVE_GNU_LD 1
| #define DEFAULT_ASSEMBLER "/usr/local/bin/as"
| #define HAVE_GNU_AS 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define __EXTENSIONS__ 1
| #define _ALL_SOURCE 1
| #define _GNU_SOURCE 1
| #define _POSIX_PTHREAD_SEMANTICS 1
| #define _TANDEM_SOURCE 1
| #define SIZEOF_VOID_P 8
| #define SIZEOF_SHORT 2
| #define SIZEOF_INT 4
| #define SIZEOF_LONG 8
| #define HAVE_LONG_LONG 1
| #define SIZEOF_LONG_LONG 8
| #define ENABLE_ASSERT_CHECKING 1
| #define ENABLE_RUNTIME_CHECKING 1
| #define ENABLE_DECIMAL_FLOAT 0
| #define ENABLE_DECIMAL_BID_FORMAT 0
| #define ENABLE_FIXED_POINT 0
| #define STDC_HEADERS 1
| #define TIME_WITH_SYS_TIME 1
| #define STRING_WITH_STRINGS 1
| #define HAVE_SYS_WAIT_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_STDDEF_H 1
| #define HAVE_STRING_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_TIME_H 1
| /* end confdefs.h.  */
| #include <iconv.h>
configure:9226: result: no

I double-checked this - indeed base cpp fails on a file like this:
$ cpp iconv-conftest.c
# 1 "iconv-conftest.c"
# 1 "<built-in>"
# 1 "<command-line>"
# 1 "iconv-conftest.c"
iconv-conftest.c:49:19: error: iconv.h: No such file or directory

cpp44 and cpp45 from ports compile the file without any issues.
Hence the difference caused by a bootstrap compiler.

On the other hand, build/libcpp/config.log has this:
configure:3637: checking iconv.h usability
configure:3649:  /usr/obj/usr/ports/lang/gcc44/work/build/./prev-gcc/xgcc
-B/usr/obj/usr/ports/lang/gcc44/work/build/./prev-gcc/
-B/usr/local/x86_64-portbld-freebsd8.1/bin/ -c -g -O2  conftest.c >&5
configure:3655: $? = 0
configure:3659: test -z
                         || test ! -s conftest.err
configure:3662: $? = 0
configure:3665: test -s conftest.o
configure:3668: $? = 0
configure:3678: result: yes
configure:3682: checking iconv.h presence
configure:3692: cpp  conftest.c
conftest.c:21:19: error: iconv.h: No such file or directory
configure:3698: $? = 1
configure: failed program was:
| /* confdefs.h.  */
|
| #define PACKAGE_NAME "cpplib"
| #define PACKAGE_TARNAME "cpplib"
| #define PACKAGE_VERSION " "
| #define PACKAGE_STRING "cpplib  "
| #define PACKAGE_BUGREPORT "gcc-bugs@gcc.gnu.org"
| #define TIME_WITH_SYS_TIME 1
| #define STRING_WITH_STRINGS 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| /* end confdefs.h.  */
| #include <iconv.h>
configure:3718: result: no
configure:3724: WARNING: iconv.h: accepted by the compiler, rejected by the
preprocessor!
configure:3726: WARNING: iconv.h: proceeding with the compiler's result

So while cpp still failed here too, prev-gcc/xgcc was able to find iconv.h.
Hence the discrepancy.

Not sure though why it didn't happen before and what gave rise to it.

-- 
Andriy Gapon
Comment 8 Andriy Gapon freebsd_committer 2010-11-16 18:44:14 UTC
With a great deal of help from Steve Kargl I was able to workaround/fix the
problem with the following addition to the port's Makefile:
MAKE_ENV+=	CPPFLAGS="-I${LOCALBASE}/include"
With this change all the configure scripts in GCC build are able to find iconv.h.

But I am still very puzzled about a cause of this problem.

I tried some older versions of GCC 4.4.x, which definitely compiled without any
issues in my environment (e.g. 20101012 snapshot), and they also started to fail
now with the same symptom.
This couldn't be caused by changes to the base system, because in this environment
I have world and configuration unchanged for about 3 months.

So I have to conclude that this must be something either some change in ports
infrastructure or in GCC 4.4.x build dependencies.

-- 
Andriy Gapon
Comment 9 gerald 2010-11-16 19:13:32 UTC
I debugged this from the "cause" side and the trigger is revision 1.651
of Mk/bsd.port.mk, dated 2010/10/25 18:36:56, and specifically the

 - Pass CPP to CONFIGURE_ENV and MAKE_ENV [1]

change there.  This basically replaced uses of "cc -E" by "cpp".

That change _is_ correct per se, clearly GCC 4.4 (and only this version,
GCC 4.5 as well as GCC 4.6 are fine) exhibits a bug in this scenario.

Based on your analysis so far, does this provide additional insight
that might help file an issue upstream?  I might be able to get some
help from the gfortran maintainers.  Or, since this affects Fortran
only, we could remove Fortran support from lang/gcc44.

Gerald
Comment 10 Andriy Gapon freebsd_committer 2010-11-16 19:13:43 UTC
Could the problem result from a combination of the following two commits?
http://www.freebsd.org/cgi/cvsweb.cgi/ports/Mk/bsd.gcc.mk.diff?r1=1.47;r2=1.48;sortby=date;f=h
http://www.freebsd.org/cgi/cvsweb.cgi/ports/Mk/bsd.port.mk.diff?r1=1.650;r2=1.651;sortby=date;f=h

It seems that before the above changes something else could have been used in
place of 'cpp' during gcc 4.4 build and any possible bug with finding external
iconv.h was not exposed.

-- 
Andriy Gapon
Comment 11 sgk 2010-11-16 19:58:00 UTC
On Tue, Nov 16, 2010 at 09:13:43PM +0200, Andriy Gapon wrote:
> 
> Could the problem result from a combination of the following two commits?
> http://www.freebsd.org/cgi/cvsweb.cgi/ports/Mk/bsd.gcc.mk.diff?r1=1.47;r2=1.48;sortby=date;f=h
> http://www.freebsd.org/cgi/cvsweb.cgi/ports/Mk/bsd.port.mk.diff?r1=1.650;r2=1.651;sortby=date;f=h
> 
> It seems that before the above changes something else could have been used in
> place of 'cpp' during gcc 4.4 build and any possible bug with finding external
> iconv.h was not exposed.
> 

I don't know the ports systems mk files well enough to make any
helpful comment other than revert the two changes and see if gcc44
builds again.  

-- 
Steve
Comment 12 sgk 2010-11-16 21:03:06 UTC
On Tue, Nov 16, 2010 at 09:13:43PM +0200, Andriy Gapon wrote:
> 
> Could the problem result from a combination of the following two commits?
> http://www.freebsd.org/cgi/cvsweb.cgi/ports/Mk/bsd.gcc.mk.diff?r1=1.47;r2=1.48;sortby=date;f=h
> http://www.freebsd.org/cgi/cvsweb.cgi/ports/Mk/bsd.port.mk.diff?r1=1.650;r2=1.651;sortby=date;f=h
> 
> It seems that before the above changes something else could have been used in
> place of 'cpp' during gcc 4.4 build and any possible bug with finding external
> iconv.h was not exposed.
> 

I just completed building gcc44 from source with the following
configure lines.

../gcc44/configure --prefix=$HOME/work/44 --enable-languages=c,fortran \
--disable-libmudflap --with-libelf=$HOME/work/4x

../gcc44/configure --prefix=$HOME/work/44 --enable-languages=c,fortran \
--disable-libmudflap --with-libelf=$HOME/work/4x --with-libiconv-prefix=/usr/local \
--enable-bootstrap-lean

gcc44 was built in a empty directory hierarchy each time.  This
suggests (to me) that something in bsd.*.mk is not correct.

-- 
Steve
Comment 13 b. f. 2010-11-16 23:17:59 UTC
On 11/16/10, Steve Kargl <sgk@troutmask.apl.washington.edu> wrote:
> On Tue, Nov 16, 2010 at 09:13:43PM +0200, Andriy Gapon wrote:
>>
>> Could the problem result from a combination of the following two commits?
>> http://www.freebsd.org/cgi/cvsweb.cgi/ports/Mk/bsd.gcc.mk.diff?r1=1.47;r2=1.48;sortby=date;f=h
>> http://www.freebsd.org/cgi/cvsweb.cgi/ports/Mk/bsd.port.mk.diff?r1=1.650;r2=1.651;sortby=date;f=h
>>
>> It seems that before the above changes something else could have been used
>> in
>> place of 'cpp' during gcc 4.4 build and any possible bug with finding
>> external
>> iconv.h was not exposed.
>>
>
> I just completed building gcc44 from source with the following
> configure lines.
>
> ../gcc44/configure --prefix=$HOME/work/44 --enable-languages=c,fortran \
> --disable-libmudflap --with-libelf=$HOME/work/4x
>
> ../gcc44/configure --prefix=$HOME/work/44 --enable-languages=c,fortran \
> --disable-libmudflap --with-libelf=$HOME/work/4x
> --with-libiconv-prefix=/usr/local \
> --enable-bootstrap-lean
>
> gcc44 was built in a empty directory hierarchy each time.  This
> suggests (to me) that something in bsd.*.mk is not correct.

Do you have build transcripts?

b.
Comment 14 sgk 2010-11-16 23:59:09 UTC
On Tue, Nov 16, 2010 at 11:17:59PM +0000, b. f. wrote:
> >
> > I just completed building gcc44 from source with the following
> > configure lines.
> >
> > ../gcc44/configure --prefix=$HOME/work/44 --enable-languages=c,fortran \
> > --disable-libmudflap --with-libelf=$HOME/work/4x
> >
> > ../gcc44/configure --prefix=$HOME/work/44 --enable-languages=c,fortran \
> > --disable-libmudflap --with-libelf=$HOME/work/4x
> > --with-libiconv-prefix=/usr/local \
> > --enable-bootstrap-lean
> >
> > gcc44 was built in a empty directory hierarchy each time.  This
> > suggests (to me) that something in bsd.*.mk is not correct.
> 
> Do you have build transcripts?
> 

No.  It will take an hour or so to get a transcript.

-- 
Steve
Comment 15 sgk 2010-11-17 00:20:15 UTC
On Tue, Nov 16, 2010 at 11:17:59PM +0000, b. f. wrote:
> > I just completed building gcc44 from source with the following
> > configure lines.
> >
> > ../gcc44/configure --prefix=$HOME/work/44 --enable-languages=c,fortran \
> > --disable-libmudflap --with-libelf=$HOME/work/4x
> >
> > ../gcc44/configure --prefix=$HOME/work/44 --enable-languages=c,fortran \
> > --disable-libmudflap --with-libelf=$HOME/work/4x
> > --with-libiconv-prefix=/usr/local \
> > --enable-bootstrap-lean
> >
> > gcc44 was built in a empty directory hierarchy each time.  This
> > suggests (to me) that something in bsd.*.mk is not correct.
> 
> Do you have build transcripts?
> 

Last configure line, followed by 'gmake |& tee build44.log'.

http://troutmask.apl.washington.edu/~kargl/build44.log

-- 
Steve
Comment 16 gerald 2010-12-04 09:23:33 UTC
On Tue, 16 Nov 2010, Andriy Gapon wrote:
> With a great deal of help from Steve Kargl I was able to workaround/fix the
> problem with the following addition to the port's Makefile:
> MAKE_ENV+=	CPPFLAGS="-I${LOCALBASE}/include"
> With this change all the configure scripts in GCC build are able to find iconv.h.

I gave this a try, but it failed in my environment.  Since I've been
travelling/will be travelling for a bit more with spotty Internet 
access (esp. testbuilding things), if others can confirm it solves
the problem for them, too, you (Andriy) or some other FreeBSD committer
is more than welcome to commit a fix.

Sorry for this dragging out on my side; I've spent a fair amount of
it, but ran into various issues...

Gerald
Comment 17 Christoph Moench-Tegeder freebsd_committer 2010-12-14 07:00:30 UTC
FWIW, Andriy's fix works for me on 8.1-RELEASE-p2 amd64 (tested on two
similar installations).

Regards,
Christoph

-- 
Spare Space
Comment 18 freebsd-questions 2010-12-30 11:08:14 UTC
Andriy's fix works for me on 8.0. Thank you!

FWIW I tried both Makefile and cli, cli failed stage2(?), Makefile 
worked a treat and survived portupgrade run (Commented out BROKEN in 
Makefile- couldn't find a way around that: couldn't get TRYBROKEN to 
work here, only worked as ordinary make).

Now I'm all updated. Cheers guys :)
Comment 19 dfilter service freebsd_committer 2011-01-02 19:56:19 UTC
gerald      2011-01-02 19:56:14 UTC

  FreeBSD ports repository

  Modified files:
    lang/gcc44           Makefile distinfo 
  Log:
  Update to the 20101221 snapshot of GCC 4.4.6.
  
  Finally fix an intricate build error (amd64 only) that has been hard
  to reliably track down and unbreak this port on amd64.
  
  PR:             151792, 151848
  Reported by:    pav, QAT,
                  Andrei Lavreniyuk <andy@gmail.com>,
                  "Hartmann, O." <ohartman@zedat.fu-berlin.de>
  Submitted by:   avg (in slightly different form)
  Tested by:      Christoph Moench-Tegeder <cmt@burggraben.net>,
                  Da Rock <freebsd-questions@herveybayaustralia.com.au>
  
  Revision  Changes    Path
  1.454     +3 -2      ports/lang/gcc44/Makefile
  1.326     +8 -12     ports/lang/gcc44/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 20 Gerald Pfeifer freebsd_committer 2011-01-02 20:04:14 UTC
State Changed
From-To: open->closed

Resolved by my update today.  Thanks for the report, and especially 
to Andriy for his analysis.